## org.jboss.deployment
Class J2eeDeploymentException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.jboss.deployment.DeploymentException
                        |
                        +--org.jboss.deployment.J2eeDeploymentException

All Implemented Interfaces:
  java.io.Serializable

public class J2eeDeploymentException
extends DeploymentException

Exception thrown by `J2eeDeployer` on deployment problems.

Version:
  $Revision: 1.4 $
Author:
  Daniel Schulze daniel.schulze@telekel.com, Toby Allsopp (toby.allsopp@peace.com)
See Also:
  Serialized Form

Fields inherited from class org.jboss.deployment.DeploymentException
`cause`

Constructor Summary
`J2eeDeploymentException(java.lang.String message)`
`J2eeDeploymentException(java.lang.String message, java.lang.Throwable e)`

Methods inherited from class org.jboss.deployment.DeploymentException
`getCause, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### J2eeDeploymentException

    public J2eeDeploymentException(java.lang.String message)

### J2eeDeploymentException

    public J2eeDeploymentException(java.lang.String message,
                                   java.lang.Throwable e)

Copyright © 2000 The JBoss Organization. All Rights Reserved.